function [param_,np,modname,neq,nlag,nlead,eqname_,eqtype_,endog_,delay_,vtype_] = ...
     mod23_aim_data()

% mod23_aim_data()
%     This function will return various information about the AIM model,
%     but will not compute the G and H matrices.

  eqname = cell(47, 1);
  param = cell(31, 1);
  endog = cell(47, 1);
  delay = zeros(47, 1);
  vtype = zeros(47, 1);
  eqtype = zeros(47, 1);

  modname = 'mod23';
  neq = 47;
  np = 31;
  nlag = 1;
  nlead = 1;

  eqname(1) = cellstr('RRATE');
  eqname(2) = cellstr('LAMC');
  eqname(3) = cellstr('if');
  eqname(4) = cellstr('tobq');
  eqname(5) = cellstr('KP');
  eqname(6) = cellstr('RENTK');
  eqname(7) = cellstr('CC');
  eqname(8) = cellstr('ZETAP');
  eqname(9) = cellstr('GDP');
  eqname(10) = cellstr('LE');
  eqname(11) = cellstr('UTIL');
  eqname(12) = cellstr('GBT');
  eqname(13) = cellstr('RATCY');
  eqname(14) = cellstr('RATIY');
  eqname(15) = cellstr('RATKY');
  eqname(16) = cellstr('LPROD');
  eqname(17) = cellstr('GLE');
  eqname(18) = cellstr('GLPROD');
  eqname(19) = cellstr('GSRESID');
  eqname(20) = cellstr('GZPT');
  eqname(21) = cellstr('GXT');
  eqname(22) = cellstr('LABSHKT');
  eqname(23) = cellstr('TAXLSHK');
  eqname(24) = cellstr('TAXKSHK');
  eqname(25) = cellstr('GOVSHK');
  eqname(26) = cellstr('ZTT');
  eqname(27) = cellstr('GZTT');
  eqname(28) = cellstr('GZT');
  eqname(29) = cellstr('LABSHKP');
  eqname(30) = cellstr('BVAR');
  eqname(31) = cellstr('TECHZ');
  eqname(32) = cellstr('UGDP');
  eqname(33) = cellstr('UIF');
  eqname(34) = cellstr('GIF');
  eqname(35) = cellstr('UCC');
  eqname(36) = cellstr('GCC');
  eqname(37) = cellstr('UZETAP');
  eqname(38) = cellstr('UKP');
  eqname(39) = cellstr('ULE');
  eqname(40) = cellstr('ULPROD');
  eqname(41) = cellstr('ERRGZPT');
  eqname(42) = cellstr('ERRZTT');
  eqname(43) = cellstr('ERRGXT');
  eqname(44) = cellstr('ERRLABT');
  eqname(45) = cellstr('ERRTAXL');
  eqname(46) = cellstr('ERRTAXK');
  eqname(47) = cellstr('ERRGOV');
  eqname_ = char(eqname);

  eqtype(1) = 1;     eqtype(2) = 1;     eqtype(3) = 1;   
  eqtype(4) = 1;     eqtype(5) = 1;     eqtype(6) = 1;   
  eqtype(7) = 1;     eqtype(8) = 1;     eqtype(9) = 1;   
  eqtype(10) = 1;     eqtype(11) = 1;     eqtype(12) = 1;   
  eqtype(13) = 1;     eqtype(14) = 1;     eqtype(15) = 1;   
  eqtype(16) = 1;     eqtype(17) = 1;     eqtype(18) = 1;   
  eqtype(19) = 1;     eqtype(20) = 1;     eqtype(21) = 1;   
  eqtype(22) = 1;     eqtype(23) = 1;     eqtype(24) = 1;   
  eqtype(25) = 1;     eqtype(26) = 1;     eqtype(27) = 1;   
  eqtype(28) = 1;     eqtype(29) = 1;     eqtype(30) = 1;   
  eqtype(31) = 1;     eqtype(32) = 1;     eqtype(33) = 1;   
  eqtype(34) = 1;     eqtype(35) = 1;     eqtype(36) = 1;   
  eqtype(37) = 1;     eqtype(38) = 1;     eqtype(39) = 1;   
  eqtype(40) = 1;     eqtype(41) = 1;     eqtype(42) = 1;   
  eqtype(43) = 1;     eqtype(44) = 1;     eqtype(45) = 1;   
  eqtype(46) = 1;     eqtype(47) = 1;   
  eqtype_ = eqtype;

  param(1) = cellstr('phic');
  param(2) = cellstr('gzbar');
  param(3) = cellstr('deltahat');
  param(4) = cellstr('delta');
  param(5) = cellstr('phik');
  param(6) = cellstr('phii');
  param(7) = cellstr('rbar');
  param(8) = cellstr('tauk');
  param(9) = cellstr('cessub');
  param(10) = cellstr('utilcon');
  param(11) = cellstr('shrgy');
  param(12) = cellstr('shrcy');
  param(13) = cellstr('shriy');
  param(14) = cellstr('qcapshr');
  param(15) = cellstr('chi');
  param(16) = cellstr('taul');
  param(17) = cellstr('mu1');
  param(18) = cellstr('rho1');
  param(19) = cellstr('sdev1');
  param(20) = cellstr('rho2');
  param(21) = cellstr('sdev2');
  param(22) = cellstr('rho3');
  param(23) = cellstr('sdev3');
  param(24) = cellstr('rho4');
  param(25) = cellstr('sdev4');
  param(26) = cellstr('rho5');
  param(27) = cellstr('sdev5');
  param(28) = cellstr('rho6');
  param(29) = cellstr('sdev6');
  param(30) = cellstr('rho8');
  param(31) = cellstr('sdev8');
  param_ = char(param);

  endog(1) = cellstr('rrate');
  endog(2) = cellstr('lamc');
  endog(3) = cellstr('if');
  endog(4) = cellstr('tobq');
  endog(5) = cellstr('kp');
  endog(6) = cellstr('rentk');
  endog(7) = cellstr('cc');
  endog(8) = cellstr('zetap');
  endog(9) = cellstr('gdp');
  endog(10) = cellstr('le');
  endog(11) = cellstr('util');
  endog(12) = cellstr('gbt');
  endog(13) = cellstr('ratcy');
  endog(14) = cellstr('ratiy');
  endog(15) = cellstr('ratky');
  endog(16) = cellstr('lprod');
  endog(17) = cellstr('gle');
  endog(18) = cellstr('glprod');
  endog(19) = cellstr('gsresid');
  endog(20) = cellstr('gzpt');
  endog(21) = cellstr('gxt');
  endog(22) = cellstr('labshkt');
  endog(23) = cellstr('taxlshk');
  endog(24) = cellstr('taxkshk');
  endog(25) = cellstr('govshk');
  endog(26) = cellstr('ztt');
  endog(27) = cellstr('gztt');
  endog(28) = cellstr('gzt');
  endog(29) = cellstr('labshkp');
  endog(30) = cellstr('bvar');
  endog(31) = cellstr('techz');
  endog(32) = cellstr('ugdp');
  endog(33) = cellstr('uif');
  endog(34) = cellstr('gif');
  endog(35) = cellstr('ucc');
  endog(36) = cellstr('gcc');
  endog(37) = cellstr('uzetap');
  endog(38) = cellstr('ukp');
  endog(39) = cellstr('ule');
  endog(40) = cellstr('ulprod');
  endog(41) = cellstr('errgzpt');
  endog(42) = cellstr('errztt');
  endog(43) = cellstr('errgxt');
  endog(44) = cellstr('errlabt');
  endog(45) = cellstr('errtaxl');
  endog(46) = cellstr('errtaxk');
  endog(47) = cellstr('errgov');
  endog_ = char(endog);

  delay(1) = 0;     delay(2) = 0;     delay(3) = 0;   
  delay(4) = 0;     delay(5) = 0;     delay(6) = 0;   
  delay(7) = 0;     delay(8) = 0;     delay(9) = 0;   
  delay(10) = 0;     delay(11) = 0;     delay(12) = 0;   
  delay(13) = 0;     delay(14) = 0;     delay(15) = 0;   
  delay(16) = 0;     delay(17) = 0;     delay(18) = 0;   
  delay(19) = 0;     delay(20) = 0;     delay(21) = 0;   
  delay(22) = 0;     delay(23) = 0;     delay(24) = 0;   
  delay(25) = 0;     delay(26) = 0;     delay(27) = 0;   
  delay(28) = 0;     delay(29) = 0;     delay(30) = 0;   
  delay(31) = 0;     delay(32) = 0;     delay(33) = 0;   
  delay(34) = 0;     delay(35) = 0;     delay(36) = 0;   
  delay(37) = 0;     delay(38) = 0;     delay(39) = 0;   
  delay(40) = 0;     delay(41) = 0;     delay(42) = 0;   
  delay(43) = 0;     delay(44) = 0;     delay(45) = 0;   
  delay(46) = 0;     delay(47) = 0;   
  delay_ = delay;

  vtype(1) = 1;     vtype(2) = 1;     vtype(3) = 1;   
  vtype(4) = 1;     vtype(5) = 1;     vtype(6) = 1;   
  vtype(7) = 1;     vtype(8) = 1;     vtype(9) = 1;   
  vtype(10) = 1;     vtype(11) = 1;     vtype(12) = 1;   
  vtype(13) = 1;     vtype(14) = 1;     vtype(15) = 1;   
  vtype(16) = 1;     vtype(17) = 1;     vtype(18) = 1;   
  vtype(19) = 1;     vtype(20) = 1;     vtype(21) = 1;   
  vtype(22) = 1;     vtype(23) = 1;     vtype(24) = 1;   
  vtype(25) = 1;     vtype(26) = 1;     vtype(27) = 1;   
  vtype(28) = 1;     vtype(29) = 1;     vtype(30) = 1;   
  vtype(31) = 1;     vtype(32) = 1;     vtype(33) = 1;   
  vtype(34) = 1;     vtype(35) = 1;     vtype(36) = 1;   
  vtype(37) = 1;     vtype(38) = 1;     vtype(39) = 1;   
  vtype(40) = 1;     vtype(41) = 1;     vtype(42) = 1;   
  vtype(43) = 1;     vtype(44) = 1;     vtype(45) = 1;   
  vtype(46) = 1;     vtype(47) = 1;   
  vtype_ = vtype;



