utilcon = 0;   % if utilcon = 0, no endogenous capacity utilization choice
mu1 = 1;  
beta = 1.03^(-.25);
gzbar = 1.0037;
delta = .02;
deltahat = gzbar - (1 - delta);
tauk = .38;
taul = .22;
rbar = gzbar/beta - 1;
rkbar = rbar/(1-tauk) + delta;


shrgy = .2;    % govt spending share of GDP
phik = 0;
phii = 0;
phic = 0;      % habit persistence parameter in consumption
chi = 1.5;
cessub = 0;     % CES parameter in production;  cessub = 0 is Cobb Douglass case, if less than 0, then move
                % towards Leontief
shriy = .2184;  %consistent with CobbDoug (cessub = 0) and alpha = 0.35

if cessub == 0
    alpha = 0.35;
    shriy = gzbar*alpha*(1-((1-delta)/gzbar))/rkbar;
end;


rho1 = 0;   % technology growth shock (gzt)
rho2 = 0;     % labor supply growth rate shock (gxt)
rho3 = .98;   % transient labor supply shock (labshkt)
rho4 =  .98;  % labor tax rate shock (taxlshk)
rho5 = .97;   % capital tax rate shock (taxkshk)
rho6 = .98;   % govt spending (govshk) - estimated over 1958-2002 using gov't consumption as share of GDP
rho8 = .95;

sdev1 = .0148;   % technology growth innovation
sdev2 = .01;     % innovation to permanent shock to labor supply 
sdev3 = .0188;    % labor supply shock
sdev4 = .0052;    % labor tax rate innovation
sdev5 = .008;   % capital tax innovation
sdev6 = .003;    % innovation to govt spending share of GDP
sdev8 = 0;          % innovation to temporary technology shock


slist = char('gzpt','gxt','labshkt','taxlshk','taxkshk','govshk','ztt');
% list innovations (make sure ordering of innovations matches ordering of
% shock processes, slist, above)
errlist = char('errgzpt','errgxt','errlabt','errtaxl','errtaxk','errgov','errztt');



%%%%%%%%%%VAR PARAMETERS%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%varlagchoice = -1;   % number of lags in the VAR  
varlagchoice = -1;

mkdecomp = 0;       % set to 1 to calculate error decomposition
varlagdecomp = 4;  % sets lag length for regression using population moments
cons_switch = 3;

diff_var = 0;       %if diff_var = 0, run VAR with hours in levels

% sample size
startdt = 51;
enddt = 230;
%enddt = 10051;

vardecomp = 0;      % set to 1 to get variance decomposition for output and hours
                               % at business cycle frequencies
startdtdecomp2 = 1051;    % start and end of sample for bootstrap replication of data used    
enddtdecomp2 = 40050;    % in calculating variance decomposition